Show / Hide Table of Contents

# Enum TokenType

Specifies the type of token to use with the client.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum TokenType

### Fields

Name | Description
--- | ---
Bearer | An OAuth2 token type.
Bot | A bot token type.
User |
Webhook | A webhook token type.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()